:root {
  scroll-behavior: smooth;
  --body_background_color: #fff;
  --body_font_color: #444444;
  --sidebar_webkit_scrollbar_thumb_background_color: #aab7cf;
  --background_color_transparent: transparent !important;
  --webkit_scrollbar_track_background_color: #ededed;
  --general_black_color: #000;
  --general_white_color: #fff;
  --general_blue_color: #012970;
  --menu_box_shadow: #3a3c41;
  --menu_background_color: #423f40;
  --cssMenu_background_color: #007831;
  --cssMenu_gredient_background_color: #007831;
  --cssMenu_gredient_background_color_light: #007831;
  --cssMenu_hyperLink_color: white;
  --sidebar_nav_link: #4154f1;
  --sidebar_nav_link_background_color: #f6f9ff;
  --sidebar_nav_header_color: #899bbd;
  --submit_button_background_color: #2f67ea;
  --cancel_button_background_color: #ea2727;
  --page_header-color: #47732C;
}

@media (max-width: 1199px) {
  .sidebar {
    left: 0px;
  }
}

@media (max-width: 1199px) {
  .toggle-sidebar .sidebar {
    left: -300px
  }
}

@media (min-width: 1200px) {
  .logo {
    width: 170px;
  }
}

@media (min-width: 1200px) {
  .toggle-sidebar #footer {
    margin-left: 0;
  }

  .toggle-sidebar #main {
    margin-left: 0;
  }

  .toggle-sidebar .sidebar {
    left: -300px;
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
}

body {
  font-family: 'Poppins', sans-serif;
  background: var(--body_background_color);
  background-size: cover;
  color: var(--body_font_color);
  font-size: 13px;
  margin: 15px auto;
}

a {
  color: var(--page_header-color);
  text-decoration: none;
  cursor: pointer;
  font-weight: bold;
}

a:hover {
  color: var(--page_header-color);
  cursor: pointer;
  text-decoration: none;
  font-weight: bold;
}


button i {
  opacity: 0.5;
}

#cssmenu {
  height: 2000px;
  background: var(--cssMenu_menu_background_color);
  background: -moz-linear-gradient(left, var(--cssMenu_background_color) 0%, var(--cssMenu_background_color) 22%, var(--cssMenu_gredient_background_color) 22%, var(--cssMenu_gredient_background_color_light) 100%);
  background: -webkit-linear-gradient(left, var(--cssMenu_background_color) 0%, var(--cssMenu_background_color) 22%, var(--cssMenu_gredient_background_color) 22%, var(--cssMenu_gredient_background_color_light) 100%);
  background: linear-gradient(to right, var(--cssMenu_background_color) 0%, var(--cssMenu_background_color) 22%, var(--cssMenu_gredient_background_color) 22%, var(--cssMenu_gredient_background_color_light) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='var(--cssMenu_background_color)', endColorstr='var(--cssMenu_gredient_background_color_light)', GradientType=1);
}

#cssmenu>ul {
  list-style: none;
  margin: 0;
  padding: 0;
  vertical-align: baseline;
  line-height: 1;
}

#cssmenu>ul {
  display: block;
  position: relative;
}

#cssmenu>ul li {
  display: block;
  position: relative;
  margin: 0;
  padding: 0;
  width: 100%;
}

#cssmenu>ul li.bignav {
  display: block;
  position: static;
  margin: 0;
  padding: 0;
  width: 100%;
}

#cssmenu>ul li a {
  display: block;
  position: relative;
  margin: 0;
  border-top: none;
  border-bottom: none;
  padding: 0 7px;
  font-family: 'Poppins', sans-serif;
  color: var(--cssMenu_hyperLink_color);
  text-decoration: none;
  font-size: 14px;
  font-weight: bold;
  background: transparent;
  text-transform: uppercase;
}

#cssmenu:lang(ar)>ul li a {
  font-size: 20px;
}

#cssmenu>ul li a i {
  color: var(--general_white_color);
  font-size: 16px;
  background: var(--cssMenu_background_color);
  padding: 9px;
  display: inline-block
}

#cssmenu:lang(ar)>ul li a i {
  font-size: 20px;
}

#cssmenu>ul li:first-child>a {
  border-top: 0;
}

#cssmenu>ul li:last-child>a {
  border-bottom: 0;
}

#cssmenu>ul li:hover>a,
#cssmenu>ul li>a:hover,
#cssmenu>ul li:hover>a i,
#cssmenu>ul li:hover .has-sub>a::after,
#cssmenu>ul li:hover>a::after {
  background: var(--cssMenu_background_color);
  border-color: transparent;
}

#cssmenu>ul li>a:hover::after,
#cssmenu>ul li:hover>a::after {
  border-left: 4px solid var(--general_white_color);
}

#cssmenu>ul li>a:hover::before,
#cssmenu>ul li:hover>a::before {
  border-left: 4px solid rgba(0, 0, 0, 0.25);
}

#cssmenu>ul .has-sub>a::after {
  content: "\f285";
  position: absolute;
  padding-left: 10px;
  top: 10px;
  right: 27px;
  width: 0px;
  height: 0px;
  font-family: bootstrap-icons !important;
  color: var(--cssMenu_hyperLink_color);
  font-size: 13px;
  font-weight: 100;
}

#cssmenu:lang(ar)>ul .has-sub>a::after {
  font-size: 20px;
}

#cssmenu>ul ul {
  position: absolute;
  left: 100%;
  top: -9999px;
  padding-left: 5px;
  opacity: 0;
  z-index: 1000px;
  transition: opacity 0.3s ease-in;
}

#cssmenu>ul ul li a {
  display: block;
  position: relative;
  margin: 0;
  border-top: none;
  border-bottom: 1px solid #eb9e40;
  padding: 8px 20px;
  font-family: 'Poppins', sans-serif;
  text-decoration: none;
  font-size: 15px;
  font-weight: bold;
  color: var(--general_white_color);
  background: var(--cssMenu_background_color);
}

#cssmenu>ul ul li a {
  font-size: 13px;
  color: var(--cssMenu_hyperLink_color) !important;
  text-transform: uppercase;
}

#cssmenu:lang(ar)>ul ul li a {
  font-size: 20px;
}

#cssmenu>ul ul li a:hover {
  background: var(--cssMenu_gredient_background_color_light);
}

#cssmenu>ul li:hover>ul {
  top: 0px;
  opacity: 1;
  z-index: 1;
}

.form-container {
  width: 90%;
  background: white;
  padding: 30px;
  border-radius: 12px;
  margin: auto;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
  margin-bottom: 15px;
}

.form-container .btn-group {
  margin-top: 20px;
}

.form-container .flol {
  display: inline-flex;
  width: 50%;
}

.form-container .form-row {
  width: 100%;
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
}

.form-container label {
  display: inline;
  margin-bottom: 6px;
  font-weight: bold;
}

.form-container label.lbl {
  display: inline-block;
  width: 20%;
  border-left: 2px solid #2a6bff;
  padding: 3px 0 0 6px;
  margin-bottom: 0;
  font-size: 13px;
}

.form-container label.lbl:lang(ar) {
  font-size: 20px;
}

.form-container label.datalbl {
  display: inline-block;
  width: 50%;
  border-left: 2px solid #2a6bff;
  padding: 3px 0 0 6px;
  margin-bottom: 15px;
  font-size: 13px;
}

.form-container label.datalbl:lang(ar) {
  font-size: 20px;
}

.form-container label.datalbl::after {
  content: ' : ';
  float: inline-end;
  margin: 0 10px;
}

.form-container label.datadet {
  display: inline-block;
  padding: 3px 0 0 6px;
  font-size: 13px;
  font-weight: normal;
}

.form-container label.datadet:lang(ar) {
  font-size: 20px;
}

.input-block {
  width: 350px;
  display: flex;
  flex-direction: column;
  /* stack input and error vertically */
}

.input-block input[type="text"],
.input-block input[type="password"],
.input-block input[type="date"] {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 10px;
  border: 1px solid #a7b8da;
  border-radius: 6px;
  font-size: 15px;
  background-color: #fff;
}

.form-container label.lbl span {
  color: #d63636;
}

.form-container label.lbl::after {
  content: ' : ';
  float: inline-end;
  margin: 0 10px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Poppins', sans-serif;
}

h2 {
  margin-bottom: 25px;
}

hr {
  border-top: 1px solid #2a6bff;
  margin-bottom: 15px;
}

.header {
  transition: all 0.5s;
  z-index: 997;
  height: 45px;
  box-shadow: 0px 2px 20px rgba(1, 41, 112, 0.1);
  background-color: var(--general_white_color);
  padding-left: 20px;
}

.header-nav ul {
  list-style: none;
}

.header-nav>ul {
  margin: 0;
  padding: 0;
}

.header .toggle-sidebar-btn {
  font-size: 32px;
  padding: 0;
  cursor: pointer;
  color: #0a1c41;
}

input[type="text"],
input[type="password"],
input[type="date"] {
  width: 15%;
  padding: 10px;
  border: 1px solid #a7b8da;
  border-radius: 6px;
  font-size: 15px;
  background-color: #fff;
  margin-bottom: 18px;
}

select {
  width: 16.2%;
  padding: 10px;
  border: 1px solid #a7b8da;
  border-radius: 6px;
  margin-bottom: 18px;
  font-size: 15px;
  background-color: #fff;
}

textarea {
  width: 50%;
  padding: 10px;
  border: 1px solid #a7b8da;
  border-radius: 6px;
  margin-bottom: 18px;
  font-size: 15px;
  background-color: #fff;
}

textarea {
  height: 100px;
  resize: vertical;
}

:lang(ar) input,
:lang(ar) select,
:lang(ar) textarea {
  font-size: 20px;
}


.mb15 {
  margin-bottom: 15px !important;
}

.mt15 {
  margin-top: 15px !important;
}

.search input[type="text"] {
  margin: 0;
}

.logo {
  line-height: 1;
}

.logo img {
  max-height: 60px;
  margin-right: 6px;
}

.logo span {
  font-size: 26px;
  font-weight: 700;
  color: var(--general_blue_color);
  font-family: 'Poppins', sans-serif;
}

:lang(ar) .logo span {
  font-size: 30px;
}

.ml15 {
  margin-left: 15px;
}

.nav-link {
  color: var(--page_header-color);
  font-weight: bold;
}

.nav-link:focus,
.nav-link:hover {
  color: var(--general_black_color);
}

.over {
  z-index: 10;
}

.radio-group {
  margin-bottom: 18px;
  display: inline-block;
}

.radio-group label {
  margin-right: 12px;
  font-weight: normal;
}

.sidebar {
  position: fixed;
  top: 45px;
  left: 0;
  bottom: 0;
  width: 191px;
  z-index: 996;
  transition: all 0.3s;
  padding: 0px;
  overflow-y: auto;
  scrollbar-width: thin;
  scrollbar-color: var(--sidebar_webkit_scrollbar_thumb_background_color) transparent;
  box-shadow: 0px 0px 20px rgba(1, 41, 112, 0.1);
  background-color: var(--general_white_color);
}

.sidebar-nav {
  padding: 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav li {
  padding: 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav .nav-content {
  padding: 5px 0 0 0;
  margin: 0;
  list-style: none;
}

.sidebar-nav .nav-content a {
  display: flex;
  align-items: center;
  font-size: 14px;
  font-weight: 600;
  color: var(--general_blue_color);
  transition: 0.3;
  padding: 10px 0 10px 40px;
  transition: 0.3s;
}

:lang(ar) .sidebar-nav .nav-content a {
  font-size: 20px;
}

.sidebar-nav .nav-content a:hover,
.sidebar-nav .nav-content a.active {
  color: var(--sidebar_nav_link);
}

.sidebar-nav .nav-content a i {
  font-size: 6px;
  margin-right: 8px;
  line-height: 0;
  border-radius: 50%;
}

:lang(ar) .sidebar-nav .nav-content a i {
  font-size: 10px;
}

.sidebar-nav .nav-content a.active i {
  background-color: var(--sidebar_nav_link);
}

.sidebar-nav .nav-heading {
  font-size: 11px;
  text-transform: uppercase;
  color: var(--sidebar_nav_header_color);
  font-weight: 600;
  margin: 10px 0 5px 15px;
}

:lang(ar) .sidebar-nav .nav-heading {
  font-size: 16px;
}

.sidebar-nav .nav-item {
  margin-bottom: 5px;
}

.sidebar-nav .nav-link {
  display: flex;
  align-items: center;
  font-size: 15px;
  font-weight: 600;
  color: var(--sidebar_nav_link);
  transition: 0.3;
  background: var(--sidebar_nav_link_background_color);
  padding: 10px 15px;
}

:lang(ar) .sidebar-nav .nav-link {
  font-size: 20px;
}

.sidebar-nav .nav-link.collapsed {
  color: var(--general_blue_color);
  background: var(--general_white_color);
}

.sidebar-nav .nav-link.collapsed i {
  color: var(--sidebar_nav_header_color);
}

.sidebar-nav .nav-link:hover {
  color: var(--sidebar_nav_link);
  background: var(--sidebar_nav_link_background_color);
}

.sidebar-nav .nav-link:hover i {
  color: var(--sidebar_nav_link);
}

.sidebar-nav .nav-link i {
  font-size: 16px;
  margin-right: 10px;
  color: var(--sidebar_nav_link);
}

:lang(ar) .sidebar-nav .nav-link i {
  font-size: 20px;
}

.sidebar-nav .nav-link .bi-chevron-down {
  margin-right: 0;
  transition: transform 0.2s ease-in-out;
}

.sidebar-nav .nav-link:not(.collapsed) .bi-chevron-down {
  transform: rotate(180deg);
}

.sidebar::-webkit-scrollbar {
  width: 5px;
  height: 8px;
  background-color: var(--general_white_color);
}

.sidebar::-webkit-scrollbar-thumb {
  background-color: var(--sidebar_webkit_scrollbar_thumb_background_color);
}

.submit-btn {
  background: #2f67ea;
  color: #fff;
  border-radius: 25px;
  box-shadow: 1px 11px 9px #3d68ee40;
  margin-right: 15px;
  padding: 10px 30px;
  font-size: 19px;
}

.cancel-btn {
  background: #ea2727;
  color: #fff;
  border-radius: 25px;
  box-shadow: 1px 11px 9px #e0231e45;
  padding: 10px 36px;
  font-size: 19px;
}

.btn {
  padding: 10px 20px;
  border: none;
  border-radius: 6px;
  font-size: 16px;
  cursor: pointer;
}

:lang(ar) .submit-btn,
:lang(ar) .btn,
:lang(ar) .cancel-btn {
  font-size: 20px;
}

.btn:hover {
  opacity: 0.7;
}

.content {
  position: relative;
  top: 55px;
  left: 0;
}

.table-container {
  width: 90%;
  background: white;
  padding: 15px;
  border-radius: 12px;
  margin: auto;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
  margin-bottom: 15px;
}

.table-container table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  margin-top: 15px;
}

.table-container th {
  border: none;
  color: #fff;
  text-align: left;
  padding: 10px;
  background-color: #3d68ee;
}

.table-container th:first-child {
  border-radius: 10px 0 0 0;
}

.table-container th:last-child {
  border-radius: 0 10px 0 0;
}

.table-container td {
  border: none;
  text-align: left;
  padding: 8px;
}

.table-container tr:nth-child(even) {
  background-color: #f5f7ff;
}

.table-container tr {
  border-bottom: 1px solid #e3eaff;
}


.table-container .p-datatable-header {
  border: none !important;
}

/* Header cells */
.table-container .p-datatable-thead>tr>th {
  border: none;
  color: #fff;
  text-align: left;
  padding: 10px;
  background-color: #3d68ee;
  font-size: 15px;
  font-weight: 700;
}

:lang(ar) .table-container .p-datatable-thead>tr>th {
  font-size: 20px;
}

/* Rounded corners for first and last header cells */
.table-container .p-datatable-thead>tr>th:first-child {
  border-radius: 10px 0 0 0;
}

.table-container .p-datatable-thead>tr>th:last-child {
  border-radius: 0 10px 0 0;
}

/* Body cells */
.table-container .p-datatable-tbody>tr>td {
  border: none;
  text-align: left;
  padding: 8px;
}

/* Even row background */
.table-container .p-datatable-tbody>tr:nth-child(even) {
  background-color: #f5f7ff;
}

/* Row border */
.table-container .p-datatable-tbody>tr {
  border-bottom: 1px solid #e3eaff;
}

.p-select {
  background: #fff;
  border: 1px solid #d0d7ff;
  color: #3d68ee;
}

/* Center align the paginator */
.table-container .p-paginator {
  display: flex;
  justify-content: flex-start;
  /* center alignment */
  align-items: center;
  padding: 10px 0;
  /* background: #f9f9f9;
  border-top: 1px solid #e3eaff;
  border-radius: 0 0 12px 12px; */
  font-family: Arial, sans-serif;
}

/* Page links */
.table-container .p-paginator .p-paginator-pages .p-paginator-page {
  background: #fff;
  border: 1px solid #d0d7ff;
  color: #3d68ee;
  padding: 5px 12px;
  margin: 0 3px;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

.table-container .p-paginator .p-paginator-pages .p-paginator-page:hover {
  background: #3d68ee;
  color: #fff;
}

/* Active page */
.table-container .p-paginator .p-paginator-pages .p-paginator-page.p-highlight {
  background: #3d68ee;
  color: #fff;
  border: 1px solid #3d68ee;
}

/* First / Prev and Next / Last buttons */
.table-container .p-paginator .p-paginator-first,
.table-container .p-paginator .p-paginator-prev,
.table-container .p-paginator .p-paginator-next,
.table-container .p-paginator .p-paginator-last {
  background: #fff;
  border: 1px solid #d0d7ff;
  color: #3d68ee;
  padding: 5px 10px;
  border-radius: 5px;
  margin: 0 3px;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

.table-container .p-paginator .p-paginator-first:hover,
.table-container .p-paginator .p-paginator-prev:hover,
.table-container .p-paginator .p-paginator-next:hover,
.table-container .p-paginator .p-paginator-last:hover {
  background: #3d68ee;
  color: #fff;
}

/* Rows per page dropdown */
.table-container .p-paginator .p-dropdown {
  margin-left: 10px;
  min-width: 80px;
}

/* Fix dropdown inner elements */
.table-container .p-paginator .p-dropdown .p-dropdown-label {
  padding: 5px 10px;
  font-size: 14px;
}

:lang(ar) .table-container .p-paginator .p-dropdown .p-dropdown-label {
  font-size: 20px;
}

.table-container .p-paginator .p-dropdown .p-dropdown-items .p-dropdown-item {
  padding: 5px 10px;
}

.mt18 {
  margin-top: 18px;
}

.pl265 {
  padding-left: 265px;
}

.pl70 {
  padding-left: 70px;
}

.table-actions {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 15px;
}

.table-container .table-actions .submit-btn,
.table-container .table-actions .cancel-btn {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  font-family: Arial, sans-serif;
  cursor: pointer;
  transition: all 0.2s ease-in-out;
}

.table-container .table-actions .submit-btn {
  background: var(--submit_button_background_color);
  color: #fff;
  border-radius: 25px;
  box-shadow: 1px 11px 9px #3d68ee40;
  margin-right: 15px;
  padding: 10px 30px;
  font-size: 19px;
  border: none;
}

.table-container .table-actions .cancel-btn {
  background: var(--cancel_button_background_color);
  color: #fff;
  border-radius: 25px;
  box-shadow: 1px 11px 9px #e0231e45;
  padding: 10px 36px;
  font-size: 19px;
  border: none;
}

:lang(ar) .table-container .table-actions .cancel-btn,
:lang(ar) .table-container .table-actions .submit-btn {
  font-size: 20px;
}

.table-container .table-actions .submit-btn:hover,
.table-container .table-actions .cancel-btn:hover {
  opacity: 0.7;
}

#menu {
  box-shadow: 5px 5px 20px var(--menu_box_shadow);
  position: absolute;
  width: 0px;
  overflow: hidden;
  top: 0;
  left: -7px;
  color: var(--general_white_color);
  background-color: var(--menu_background_color);
}

#menu-content {
  position: fixed;
  width: 215px;
  z-index: 20;
}

#menu-content ul {
  list-style: outside none none;
}

#menu-content ul li {
  white-space: nowrap;
}

#menu-content ul li.first {
  border-top: none;
}

#menu-content ul li.last {
  border-bottom: none;
}

.errorMessage {
  color: red;
  font-weight: bold;
}

.successMessage {
  color: green;
  font-weight: bold;
}

.warningMessage {
  color: orange;
  font-weight: bold;
}

.controlWrapper {
  display: flex;
  flex-direction: column;
}

.pageHeader {
  color: var(--page_header-color);
  font-size: 20px;
  font-weight: bold;
  display: inline-block;
  margin-bottom: 20px;
  padding: 5px;
  border-left: 4px solid #f0e31f;
  text-transform: uppercase;
}

:lang(ar) .pageHeader {
  font-size: 26px;
}

.roles-panel {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 20px;
  flex: 1;
  border: 1px solid #ccc;
  padding: 10px;
  border-radius: 5px;
  font-weight: normal;
  /* max-height: 250px; */
  overflow-y: auto;
}

.role-group {
  display: flex;
  flex-direction: column;
  flex: 0 0 calc(50% - 15px);
  margin-bottom: 20px;
}

.role-group span {
  font-weight: bold;
}

:lang(ar) .role-group span {
  font-size: 15px;
}

.role-group .checkbox-row {
  display: flex;
  flex-wrap: wrap;
}

.role-group label {
  margin-right: 12px;
  font-weight: normal;
}

.role-group div {
  display: inline-flex;
  align-items: center;
  margin-right: 15px;
}

.checkbox-group {
  display: flex;
}

.checkbox-group label {
  margin-right: 12px;
  font-weight: normal;
}


/*
  Login Screen Css
*/
.loginbg {
  background: #ffffff;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Wrapper */
.login-wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
}

/* Card */
.login-card {
  width: 800px;
  height: 420px;
  display: flex;
  background: #fff;
  border-radius: 75px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
  overflow: hidden;
}

.login-card h1 {
  margin-bottom: 35px;
}

/* Left Image */
.login-image {
  width: 45%;
}

.login-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Right Form */
.login-form {
  width: 55%;
  padding: 40px;
}

.logo {
  max-width: 200px;
}

.error-text {
  color: red;
  font-size: 14px;
  margin-bottom: 20px;
}

:lang(ar) .error-text {
  font-size: 20px;
}

.form-group label {
  display: block;
  font-size: 16px;
  margin-bottom: 6px;
}

:lang(ar) .form-group label {
  font-size: 20px;
}

.form-group input {
  width: 100%;
  /* padding: 10px; */
  border: 1px solid #ccc;
  border-radius: 6px;
  margin-bottom: 25px;
}

.login-btn {
  background: #2c9437;
  color: #fff;
  border: none;
  padding: 10px 25px;
  border-radius: 6px;
  cursor: pointer;
  font-weight: bold;
}

.login-btn:hover {
  background: #1b4623;
}

/*
  Login Screen Css
*/

/* Style the dialog header */
.banner-dialog .p-dialog-header {
  background-color: var(--cssMenu_background_color);
  color: var(--general_white_color);
  font-weight: bold;
  font-size: 1.2rem;
  padding: 1rem 1.5rem;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

/* Optional: style the close button */
.banner-dialog .p-dialog-header .p-dialog-header-icon {
  color: var(--general_white_color);
}

/* Banner container */
.banner-dialog .banner-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  padding: 1rem;
  box-sizing: border-box;
  background-color: var(--general_white_color);
}

/* Banner image */
.banner-dialog .banner-image {
  max-width: 100%;
  max-height: 70vh;
  object-fit: contain;
  border-radius: 4px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
}

/* Optional: dark overlay */
.p-dialog-mask {
  background-color: rgba(0, 0, 0, 0.7) !important;
}

.icon i {
  color: green;
  font-size: 1.8rem;
  font-weight: 700;
  transform: scale(1.2);
  cursor: pointer;
}

:lang(ar) .icon i {
  font-size: 2.3rem;
}

.bold {
  font-weight: bold;
}

.br25 {
  border-radius: 25px;
}

.mt0 {
  margin-top: 0px !important;
}

.border1 {
  border-width: 1px !important;
  border-color: black !important;
  border-style: solid !important;
}

.rightAlign {
  text-align: right !important;
}

.databox .table-container {
  width: 100%;
  background-color: transparent;
  box-shadow: none;
  padding: 0;
}

.databox {
  background-color: #a9b8db17;
  padding: 15px;
}

.databox h3 {
  font-size: 21px;
}

.databox h3:lang(ar) {
  font-size: 20px;
}

.pt20
{
  padding-top: 20px;
}